## com.baidubce.services.bos.model
Class ListMultipartUploadsRequest

    java.lang.Object
      com.baidubce.model.AbstractBceRequest
          com.baidubce.services.bos.model.GenericBucketRequest
              com.baidubce.services.bos.model.ListMultipartUploadsRequest

    public class ListMultipartUploadsRequest

extends GenericBucketRequest

Container for the parameters of the ListMultipartUploads operation.

Required Parameters: BucketName

Constructor Summary
`ListMultipartUploadsRequest(String bucketName)` Constructs a new ListMultipartUploadsRequest to list the multipart uploads from the specified bucket.
`ListMultipartUploadsRequest(String bucketName, String prefix)` Constructs a new ListMultipartUploadsRequest to list the multipart uploads from the specified bucket.

Method Summary
`String` `getDelimiter()` Returns the optional delimiter parameter that causes multipart uploads for keys that contain the same string between the prefix and the first occurrence of the delimiter to be combined into a single result element.
`String` `getKeyMarker()` Returns the optional key marker indicating where in the results to begin listing.
`int` `getMaxUploads()` Returns the optional maximum number of uploads to return, or null if no maximum number of uploads has been set for this request.
`String` `getPrefix()` Returns the optional prefix parameter that restricts the response to multipart uploads for keys that begin with the specified prefix.
`void` `setDelimiter(String delimiter)` Sets the optional delimiter parameter that causes multipart uploads for keys that contain the same string between the prefix and the first occurrence of the delimiter to be combined into a single result element.
`void` `setKeyMarker(String keyMarker)` Sets the optional key marker indicating where in the results to begin listing.
`void` `setMaxUploads(int maxUploads)` Sets the optional maximum number of uploads to return.
`void` `setPrefix(String prefix)` Sets the optional prefix parameter, restricting the response to multipart uploads for keys that begin with the specified prefix.
`ListMultipartUploadsRequest` `withBucketName(String bucketName)` Sets The name of the bucket containing the uploads to list, and returns this updated ListMultipartUploadsRequest object so that additional method calls can be chained together.
`ListMultipartUploadsRequest` `withDelimiter(String delimiter)` Sets the optional delimiter parameter that causes multipart uploads for keys that contain the same string between the prefix and the first occurrence of the delimiter to be rolled up into a single result element.
`ListMultipartUploadsRequest` `withKeyMarker(String keyMarker)` Sets the KeyMarker property for this request.
`ListMultipartUploadsRequest` `withMaxUploads(int maxUploads)` Sets the optional maximum number of uploads to return and returns this updated ListMultipartUploadsRequest object so that additional method calls can be chained together.
`ListMultipartUploadsRequest` `withPrefix(String prefix)` Sets the optional prefix parameter restricting the response to multipart uploads for keys that begin with the specified prefix.
`ListMultipartUploadsRequest` `withRequestCredentials(BceCredentials credentials)`

Methods inherited from class com.baidubce.services.bos.model.GenericBucketRequest
`getBucketName, setBucketName`

Methods inherited from class com.baidubce.model.AbstractBceRequest
`getRequestCredentials, setRequestCredentials`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ListMultipartUploadsRequest

    public ListMultipartUploadsRequest(String bucketName)

  Constructs a new ListMultipartUploadsRequest to list the multipart uploads from the specified bucket.

  Parameters:
    `bucketName` - The name of the bucket containing the uploads to list.

### ListMultipartUploadsRequest

    public ListMultipartUploadsRequest(String bucketName,
                                       String prefix)

  Constructs a new ListMultipartUploadsRequest to list the multipart uploads from the specified bucket.

  Parameters:
    `bucketName` - The name of the bucket containing the uploads to list.
    `prefix` - The prefix of the object.

Method Detail

### withRequestCredentials

    public ListMultipartUploadsRequest withRequestCredentials(BceCredentials credentials)

  Specified by:
    `withRequestCredentials` in class `AbstractBceRequest`

### withBucketName

    public ListMultipartUploadsRequest withBucketName(String bucketName)

  Sets The name of the bucket containing the uploads to list, and returns this updated ListMultipartUploadsRequest object so that additional method calls can be chained together.

  Specified by:
    `withBucketName` in class `GenericBucketRequest`
  Parameters:
    `bucketName` - The name of the bucket containing the uploads to list.
  Returns:
    This updated ListMultipartUploadsRequest object.

### getMaxUploads

    public int getMaxUploads()

  Returns the optional maximum number of uploads to return, or null if no maximum number of uploads has been set for this request.

  Returns:
    The optional maximum number of uploads to return.

### setMaxUploads

    public void setMaxUploads(int maxUploads)

  Sets the optional maximum number of uploads to return.

  Parameters:
    `maxUploads` - The maximum number of uploads to return.

### withMaxUploads

    public ListMultipartUploadsRequest withMaxUploads(int maxUploads)

  Sets the optional maximum number of uploads to return and returns this updated ListMultipartUploadsRequest object so that additional method calls can be chained together.

  Parameters:
    `maxUploads` - The optional maximum number of uploads to return.
  Returns:
    This updated ListMultipartUploadsRequest object.

### getKeyMarker

    public String getKeyMarker()

  Returns the optional key marker indicating where in the results to begin listing.

  Together with the upload ID marker, specifies the multipart upload after which listing should begin.

  If the upload ID marker is not specified, only the keys lexicographically greater than the specified key-marker will be included in the list.

  If the upload ID marker is specified, any multipart uploads for a key equal to the key-marker may also be included, provided those multipart uploads have upload IDs lexicographically greater than the specified marker.

  Returns:
    The optional key marker indicating where in the results to begin listing.

### setKeyMarker

    public void setKeyMarker(String keyMarker)

  Sets the optional key marker indicating where in the results to begin listing.

  Together with the upload ID marker, specifies the multipart upload after which listing should begin.

  If the upload ID marker is not specified, only the keys lexicographically greater than the specified key-marker will be included in the list.

  If the upload ID marker is specified, any multipart uploads for a key equal to the key-marker may also be included, provided those multipart uploads have upload IDs lexicographically greater than the specified marker.

  Parameters:
    `keyMarker` - The optional key marker indicating where in the results to begin listing.

### withKeyMarker

    public ListMultipartUploadsRequest withKeyMarker(String keyMarker)

  Sets the KeyMarker property for this request.

  Parameters:
    `keyMarker` - The value that KeyMarker is set to
  Returns:
    the request with the KeyMarker set

### getDelimiter

    public String getDelimiter()

  Returns the optional delimiter parameter that causes multipart uploads for keys that contain the same string between the prefix and the first occurrence of the delimiter to be combined into a single result element. These combined keys are not returned elsewhere in the response. The most commonly used delimiter is "/", which simulates a hierarchical organization similar to a file system directory structure.

  Returns:
    The optional delimiter parameter that causes multipart uploads for keys that contain the same string between the prefix and the first occurrence of the delimiter to be combined into a single result element.

### setDelimiter

    public void setDelimiter(String delimiter)

  Sets the optional delimiter parameter that causes multipart uploads for keys that contain the same string between the prefix and the first occurrence of the delimiter to be combined into a single result element.

  Parameters:
    `delimiter` - The optional delimiter parameter that causes multipart uploads for keys that contain the same string between the prefix and the first occurrence of the delimiter to be combined into a single result element.

### withDelimiter

    public ListMultipartUploadsRequest withDelimiter(String delimiter)

  Sets the optional delimiter parameter that causes multipart uploads for keys that contain the same string between the prefix and the first occurrence of the delimiter to be rolled up into a single result element. Returns this `ListMultipartUploadsRequest`, enabling additional method calls to be chained together.

  Parameters:
    `delimiter` - The optional delimiter parameter that causes multipart uploads for keys that contain the same string between the prefix and the first occurrence of the delimiter to be rolled up into a single result element.
  Returns:
    This `ListMultipartUploadsRequest`, enabling additional method calls to be chained together.

### getPrefix

    public String getPrefix()

  Returns the optional prefix parameter that restricts the response to multipart uploads for keys that begin with the specified prefix. Use prefixes to separate a bucket into different sets of keys, similar to how a file system organizes files into directories.

  Returns:
    The optional prefix parameter restricting the response to multipart uploads for keys that begin with the specified prefix.

### setPrefix

    public void setPrefix(String prefix)

  Sets the optional prefix parameter, restricting the response to multipart uploads for keys that begin with the specified prefix.

  Parameters:
    `prefix` - The optional prefix parameter, restricting the response to multipart uploads for keys that begin with the specified prefix.

### withPrefix

    public ListMultipartUploadsRequest withPrefix(String prefix)

  Sets the optional prefix parameter restricting the response to multipart uploads for keys that begin with the specified prefix. Returns this `ListMultipartUploadsRequest`, enabling additional method calls to be chained together.

  Parameters:
    `prefix` - The optional prefix parameter restricting the response to multipart uploads for keys that begin with the specified prefix.
  Returns:
    This `ListMultipartUploadsRequest`, enabling additional method calls to be chained together.

Copyright © 2016. All rights reserved.